summaryrefslogtreecommitdiff
path: root/sci-mathematics/rngstreams
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /sci-mathematics/rngstreams
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'sci-mathematics/rngstreams')
-rw-r--r--sci-mathematics/rngstreams/Manifest1
-rw-r--r--sci-mathematics/rngstreams/metadata.xml16
-rw-r--r--sci-mathematics/rngstreams/rngstreams-1.0.1.ebuild37
3 files changed, 54 insertions, 0 deletions
diff --git a/sci-mathematics/rngstreams/Manifest b/sci-mathematics/rngstreams/Manifest
new file mode 100644
index 000000000000..b58542b37397
--- /dev/null
+++ b/sci-mathematics/rngstreams/Manifest
@@ -0,0 +1 @@
+DIST rngstreams-1.0.1.tar.gz 502458 BLAKE2B 119f4bc9ceb34487176c2ad02b6be16b50c6300c0512b05fb2376d02ddd59f17d62fa9e3e190093534614a90daace84701c628962284228be787950a534ec24e SHA512 665c27e72a4e1bdc59864f340208d42fc899c1c9429aafe1c7c3f8778dee0bb87ec9da26976a925197e07931bc1c2864dde0cb3fc08996155f775b7e44f9d7f4
diff --git a/sci-mathematics/rngstreams/metadata.xml b/sci-mathematics/rngstreams/metadata.xml
new file mode 100644
index 000000000000..2cc26a9b3faa
--- /dev/null
+++ b/sci-mathematics/rngstreams/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci-mathematics@gentoo.org</email>
+ <name>Gentoo Mathematics Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ RngStreams is a C implementation of a high quality uniform random
+ number generator that supports multiple "independent" streams of
+ uniform random numbers. It has been written by Pierre L'Ecuyer and
+ Richard Simard.
+ This is the GNU-style package maintained by Josef Leydold.
+ </longdescription>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/sci-mathematics/rngstreams/rngstreams-1.0.1.ebuild b/sci-mathematics/rngstreams/rngstreams-1.0.1.ebuild
new file mode 100644
index 000000000000..dbfdd7c79257
--- /dev/null
+++ b/sci-mathematics/rngstreams/rngstreams-1.0.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit out-of-source
+
+DESCRIPTION="Multiple independent streams of pseudo-random numbers"
+HOMEPAGE="https://statmath.wu.ac.at/software/RngStreams/"
+SRC_URI="https://statmath.wu.ac.at/software/RngStreams/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ~x86"
+IUSE="doc examples"
+
+my_src_configure() {
+ # bash for bug #818532
+ CONFIG_SHELL="${BROOT}"/bin/bash econf --enable-shared --disable-static
+}
+
+my_src_install_all() {
+ if use doc; then
+ HTML_DOCS=( doc/rngstreams.html/. )
+ dodoc doc/${PN}.pdf
+ fi
+ einstalldocs
+
+ if use examples; then
+ rm examples/Makefile* || die
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ # no static archives
+ find "${D}" -name '*.la' -delete || die
+}